> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-money/linkage/authorization-and-headers.md).

# Authorization & Headers

BI SNAP APIs are using OAuth2 as standard authorization framework, to grant access to all the services provided by Finnet you need to have the access token with grantType=client\_credetials. You will be required to have valid and authorised client\_id to have a token. To get more information about implementation of oAuth 2 authorization framework you can refer to RFC6749 documentation that can be found in <https://www.rfc-editor.org/rfc/rfc6749>

### Content-Type and Accept Header <a href="#content-type-and-accept-header" id="content-type-and-accept-header"></a>

BI SNAP APIs uses JSON format for input and output, hence it is required to specify JSON as content-type & accept JSON as response. The header specification is as shown below.

* Content-Type: application/json
* Accept: application/json

### Authorization Header <a href="#authorization-header" id="authorization-header"></a>

These headers are mandatory requirements to be provided on every API request sent to Finnet services to have a successful request. Following are header fields that need to be provide :

| Name          | Type                              | Length | Mandatory | Description                                                                                      |
| ------------- | --------------------------------- | ------ | --------- | ------------------------------------------------------------------------------------------------ |
| Authorization | AN                                | N/A    | M         | Represents access\_token of arequest, String starts with keyword “Bearer” followedby accessToken |
| Content-Type  | AN                                | 16     | M         | Content of you request body e.g. application/json                                                |
| X-TIMESTAMP   | yyyy-MM-ddThh:mi:ssTZD (ISO 8601) | 25     | M         | Client’s current local time in yyyy-MM-ddTHH:mm:ssTZD format                                     |
| X-SIGNATURE   | AN                                | N/A    | M         | Please refer to [Signature](/api-reference/finpay-money/linkage/signature.md) section            |
| ORIGIN        | String                            | N/A    | M         | Origin Domain [www.yourdomain.com](http://www.yourdomain.com)                                    |
| X-EXTERNAL-ID | String                            | 32     | M         | Numeric String Reference number that should be unique in the same day                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/authorization-and-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
